from __future__ import annotations
from typing import Any
from enum import IntEnum
from enum import auto

class ContentCreationError(IntEnum):
    UNKNOWN = auto()
    NO_CONTENT_BROKER = auto()
    NO_IDENTIFIER_FACTORY = auto()
    IDENTIFIER_CREATION_FAILED = auto()
    NO_CONTENT_PROVIDER = auto()
    CONTENT_CREATION_FAILED = auto()
